org.python.modules.bz2

## Class bz2

- java.lang.Object
- - org.python.modules.bz2.bz2

All Implemented Interfaces:
  ClassDictInit

    public class bz2
    extends java.lang.Object
    implements ClassDictInit

Python bz2 module

### Field Summary

Fields
`static PyString` `__doc__`

### Constructor Summary

Constructors
Constructor and Description
`bz2()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `classDictInit(PyObject dict)`
`static PyString` `compress(PyString data)`
`static PyString` `compress(PyString data, int compresslevel)`
`static PyString` `decompress(PyString data)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### __doc__

    public static final PyString __doc__

### Constructor Detail

#### bz2

    public bz2()

### Method Detail

#### classDictInit

    public static void classDictInit(PyObject dict)

#### compress

    public static PyString compress(PyString data)

#### compress

    public static PyString compress(PyString data,
                                    int compresslevel)

#### decompress

    public static PyString decompress(PyString data)